package com.cweb.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("sysConfig")
@ConfigurationProperties
@PropertySource("classpath:/config.properties")
public class SysConfig {

	private String fileUrl;

    private String wxAppId;
    private String wxAppSecret;
    private String wxApiKey;
    private String wxMchId;
    private String wxUnifiedOrderUrl;
    private String couponCodePath;
    private String notifyUrl;

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getWxAppId() {
        return wxAppId;
    }

    public void setWxAppId(String wxAppId) {
        this.wxAppId = wxAppId;
    }

    public String getWxAppSecret() {
        return wxAppSecret;
    }

    public void setWxAppSecret(String wxAppSecret) {
        this.wxAppSecret = wxAppSecret;
    }

    public String getWxApiKey() {
        return wxApiKey;
    }

    public void setWxApiKey(String wxApiKey) {
        this.wxApiKey = wxApiKey;
    }

    public String getWxMchId() {
        return wxMchId;
    }

    public void setWxMchId(String wxMchId) {
        this.wxMchId = wxMchId;
    }

    public String getWxUnifiedOrderUrl() {
        return wxUnifiedOrderUrl;
    }

    public void setWxUnifiedOrderUrl(String wxUnifiedOrderUrl) {
        this.wxUnifiedOrderUrl = wxUnifiedOrderUrl;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getCouponCodePath() {
        return couponCodePath;
    }

    public void setCouponCodePath(String couponCodePath) {
        this.couponCodePath = couponCodePath;
    }
}
